/**
 * 徐立
 * 2019年9月16日
 * Modal定制样式
 */
import React, { Component } from 'react'
import { Modal, Button } from 'antd';
import styles from './index.less'
export default class WebModal extends Component {
    /**
     * visible为显示装态
     * handleCancel为取消函数
     * title为定制标题内容
     * width可以为收到输入
     */
    render() {
        let { visible, handleCancel, title, width  } =this.props
        return (
            <div>
            <Modal
            closable={false}
            visible={visible}
            footer={null}
            destroyOnClose={true}
            width={!!width ? width : 800}
            handleCancel={handleCancel}
            style={{borderRadius:4}}
            >
                <div className={styles.content_div}>
                    <div className={styles.title}>{title}<Button className={styles.button} onClick={handleCancel}>X</Button></div>
                    {this.props.children}
                </div>
            </Modal>
            </div>
        )
    }
}
